<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/payment.php';
session_start();
date_default_timezone_set('Asia/Rangoon');

$database = new Database();
$db = $database->getConnection();
 
$payment = new Payment($db);
$data = json_decode(file_get_contents("php://input"));

$payment->invoice_no = $data->ino;
$payment->date = $data->date;
$payment->payment_type = $data->payment_type;
$payment->amount = $data->amount;
$payment->city = $data->city;
$payment->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$payment->entry_date_time = date("Y-m-d H:i:s");
if($payment->create()){
	$arr = array(
		"message" => "created",
		"id" => $payment->id
	);
}else{
	$arr = array(
		"message" => "error" 
	);
}
echo json_encode($arr);
?>